Name:           openscad
Version:        2021.01
Release:        %mkrel 2
Summary:        The Programmers Solid 3D CAD Modeller
License:        GPLv2 with exceptions and CC0
Group:          Graphics
URL:            http://www.%{name}.org/
Source0:        %{name}-%{version}.tar.xz
Patch0:         openscad-polyclipping.patch
Patch1:         openscad-lib3mf.patch
BuildRequires: eigen3
BuildRequires: itstool
BuildRequires: lib64boost-devel
BuildRequires: lib64fontconfig-devel
BuildRequires: lib64freetype6-devel
BuildRequires: lib64glew-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gmp-devel
BuildRequires: lib64harfbuzz-devel
BuildRequires: lib64mesaglu1-devel
BuildRequires: lib64mpfr-devel
BuildRequires: lib64qscintilla2-qt5-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gamepad-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64xml2-devel
BuildRequires: lib64zip-devel
BuildRequires: mesa-devel
BuildRequires: qtbase5-common-devel
BuildRequires: lib64opencsg-devel
BuildRequires: lib64cgal-devel
BuildRequires: lib64polyclipping-devel
BuildRequires: lib64double-conversion-devel

%description
OpenSCAD is a software for creating solid 3D CAD objects.
Unlike most free software for creating 3D models (such as the famous
application Blender) it does not focus on the artistic aspects of 3D
modeling but instead on the CAD aspects. Thus it might be the application
you are looking for when you are planning to create 3D models of machine
parts but pretty sure is not what you are looking for when you are more
interested in creating computer-animated movies.

%prep
%setup -qn %{name}-%{version}
%apply_patches

# Unbundle polyclipping
rm src/ext/polyclipping -rf

%build
%{qmake_qt5} PREFIX=%{_prefix} VERSION=%{upversion} CONFIG-=debug
%make_build

%install
make install INSTALL_ROOT=%{buildroot}
rm -rf %{buildroot}%{_datadir}/%{name}/fonts

%files
%{_bindir}
%{_datadir}

%changelog
* Sun Sep 18 2022 tex - 2021.01-2pclos2022
- rebuild against updates

* Tue Sep 28 2021 tex - 2021.01-1pclos2021
- new version for new boost

* Sat Feb 27 2021 tex - 2019.05-2pclos2021
- rebuild against updates

* Tue Oct 07 2019 tex - 2019.05-1pclos2019
- update
